Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class UIManager.LookAndFeelInfo

    java.lang.Object
      |
      +--javax.swing.UIManager.LookAndFeelInfo

Enclosing class:
  UIManager

public static class UIManager.LookAndFeelInfo
extends Object

Provide a little information about an installed LookAndFeel for the sake of configuring a menu or for initial application set up.

See Also:
  `UIManager.getInstalledLookAndFeels()`, `LookAndFeel`

Constructor Summary
`UIManager.LookAndFeelInfo(String name, String className)` Constructs an UIManager$LookAndFeelInfo object.

Method Summary
`String` | `getClassName()` Returns the name of the class that implements this look and feel.
`String` | `getName()` Returns the name of the look and feel in a form suitable for a menu or other presentation
`String` | `toString()` Returns a string that displays and identifies this object's properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UIManager.LookAndFeelInfo

    public UIManager.LookAndFeelInfo(String name,
                                     String className)

  Constructs an UIManager$LookAndFeelInfo object.
  Parameters:
    `name` - a String specifying the name of the look and feel
    `className` - a String specifiying the name of the class that implements the look and feel

Method Detail

### getName

    public String getName()

  Returns the name of the look and feel in a form suitable for a menu or other presentation
  Returns:
    a String containing the name
  See Also:
    `LookAndFeel.getName()`

### getClassName

    public String getClassName()

  Returns the name of the class that implements this look and feel.
  Returns:
    the name of the class that implements this LookAndFeel
  See Also:
    `LookAndFeel`

### toString

    public String toString()

  Returns a string that displays and identifies this object's properties.
  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.